Bug 80236 - FILESAVE: Adjusted connecting arrow reset when saved as pptx
Summary: FILESAVE: Adjusted connecting arrow reset when saved as pptx
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.0.6.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: filter:pptx
: 106254 (view as bug list)
Depends on:
Blocks: PPTX
  Show dependency treegraph
 
Reported: 2014-06-19 13:46 UTC by ravingdesi
Modified: 2018-10-22 02:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Simple shapes with arrows (11.66 KB, application/vnd.oasis.opendocument.presentation)
2017-04-19 13:24 UTC, TZP
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ravingdesi 2014-06-19 13:46:44 UTC
Problem description: 
When adjusting a connector (e.g. arrow) and then saving it as pptx, all adjustments appear to be lost.

Steps to reproduce:
1. Download https://dl.dropboxusercontent.com/u/17406199/bugtmp/Bug11.odp
2. Save as pptx
For me this resulted in 
https://dl.dropboxusercontent.com/u/17406199/bugtmp/Bug11.pptx
3. Open again in impress or MS powerpoint

Current behavior:
Arrow appears to be reset to default
https://dl.dropboxusercontent.com/u/17406199/bugtmp/Bug11_2.png

Expected behavior:
Preserve arrow form when saved as pptx
https://dl.dropboxusercontent.com/u/17406199/bugtmp/Bug11_1.png

Thanks a lot for considering to fix.
              
Operating System: Ubuntu
Version: 4.2.4.2 release
Comment 1 ign_christian 2014-06-19 15:00:41 UTC
Same behavior since 4.0.6.2 (Win7 x86)
Comment 2 ravingdesi 2014-06-19 19:53:12 UTC
Thanks christian, setting it to confirmed :)
Comment 3 QA Administrators 2015-07-18 17:44:41 UTC Comment hidden (obsolete)
Comment 4 ravingdesi 2015-08-26 10:43:39 UTC
I just tested it again and the bug still exists unchanged in 5.0.0.5 using Ubuntu 15.04 64bit.
Comment 5 QA Administrators 2016-09-20 10:26:14 UTC Comment hidden (obsolete)
Comment 6 ravingdesi 2016-10-03 10:32:56 UTC
Still occurs on LO 5.1.5.2 using Windows 10.
Comment 7 Xisco Faulí 2017-03-01 12:01:31 UTC
*** Bug 106254 has been marked as a duplicate of this bug. ***
Comment 8 TZP 2017-04-19 13:24:43 UTC
Created attachment 132686 [details]
Simple shapes with arrows

Save it as pptx, then open it.
Comment 9 QA Administrators 2018-10-22 02:50:01 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug